@import url('https://fonts.googleapis.com/css?family=Raleway');

html {
    scroll-behavior: smooth;
}

body{
    font-family: 'Raleway', sans-serif;
    color: rgb(60, 137, 195);
}

main p{
    font-size: 1.1rem
}

main h2{
    font-size: 2.3rem;
    font-weight: bold;
}

i, a {
    cursor: pointer;
}

main a{
    text-decoration: underline;
    font-weight: bold;
    color: white;
}

.center-justified {
    text-align: justify;
    text-align-last: center;
}


#subtitle{
    margin-top: 20%;
    padding: 0 4%;
    color: white;
}

#curve{
    margin-top: -10%;
    background-color: white;
}

@media screen and (max-width: 1230px){
    #news-preview {
        padding-left: 0;
        padding-right: 0;
    }
}

@media screen and (max-width: 768px){
    #subtitle{
        display: none;
    }

    #news-preview{
        top: 50px;
    }
    .news-for-mobile{
        display: block;
    }
    .news-for-desktop{
        display: none;
    }
}

@media screen and (min-width: 769px){
    .news-for-mobile{
        display: none;
    }
    .news-for-desktop{
        display: block;
    }
}

/* PROJECT SECTION*/

#project{
    font-weight: 550;
}

#project h1{
    font-size: 4.2rem
    text-transform: uppercase;

}

#caption-container {
        position: absolute;
        right:0;
        padding-top: 20px;
        text-align: left;
        width: 35%;
        max-height: 80%;
        margin-top: 2%;
}

#caption-container:before {
  content: '';
  line-height: 0;
  border-top: 0 solid transparent;
  border-bottom: 750px solid #0D567F;
  border-left: 1400px solid transparent;
  position: absolute;
  top: 10px;
  right: 0px;
}

#caption-container p {
    font-size: 1.2em;
    margin-top: 75%;
    padding-right: 25%;
    margin-left: -10%;
}

#project-img{
    width: 70%;
    cursor: pointer;
    transition: 0.3s;
    margin-left: 80px;
}    

#project-img:hover {
    opacity: 0.8;
}


@media screen and (max-width: 1200px){
    #project-img{
        width: 80%;
        margin-left: auto;
        margin-right: auto;
    }

    #caption-container:before {
       border-top: 0 solid transparent;
       border-bottom:750px solid #0D567F;
       border-left: 1320px solid transparent;
       top: 50%;
    }

    #caption-container{
        padding-top: 250px;
        padding-left: 40px;
        width: 40%;
    }
}

@media screen and (max-width: 1000px){
    #caption-container{
        padding-top: 200px;
        padding-left: 80px;
        width: 50%;
}
}

@media screen and (max-width: 800px){
    #caption-container{
        padding-top: 150px;
        padding-left: 100px;
        width: 60%;
}
}

@media screen and (max-width: 600px){
    #caption-container{
        padding-top: 100px;
        width: 70%;
}
}

@media screen and (max-width: 520px){
    #caption-container:before {
       top: 48%;
    }
    #caption-container p {
       font-size: 1em;
       padding-right: 2%;

   }
    #caption-container{
        padding-top: 80px;
        width: 100%;
        padding-left: 150px;
}
}



/* The Modal (background) */
.myModal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999999999; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal_img_content {
    margin: auto;
    display: block;
    height: 100%;
    margin-top: -60px;
    max-width: 1100px;
}


/* Add Animation */
.modal_img_content  {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}
/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 769px){
    .modal_img_content {
        margin-top: 80px;
        width: 100%;
        height: auto;
    }
}


/* The Close Button */
.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


/* PROBLEM SECTION */

#problem-img  img{
    margin-top: 15%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

.problem-box {
  background-color: rgb(60, 137, 195);
  margin-top: 50px;
  padding: 5% 10% 3%;


  -webkit-transform: skewY(-3deg);
  -moz-transform: skewY(-3deg);
  -ms-transform: skewY(-3deg);
  -o-transform: skewY(-3deg);
  transform: skewY(-3deg);
}

.problem-box > .wrapper{
  -webkit-transform: skewY(3deg);
  -moz-transform: skewY(3deg);
  -ms-transform: skewY(3deg);
  -o-transform: skewY(3deg);
  transform: skewY(3deg);
  color: white;
  margin-bottom: 30px;
}

#problem a {
    margin-top: 20px;
    text-transform: uppercase;
}

@media only screen and (min-width: 769px){
    #problem-img  img{
        margin-top: 10%;
        width: 70%;
    }

    .problem-box{
        padding: 5% 20% 3%;
    }
}

@media only screen and (min-width: 1200px){
    #problem-img  img{
        width:60%;
    }
}

.sponsor p {
    color: white;
    position: relative;
    font-weight: 600;
    width: 300px;
    z-index: 3;
    left: 160px;
    top: -270px;
}

@media screen and (max-width: 576px ) {
        #sponsor-background{
            width: 100%;
            height: auto;
            left: 0;

    }

    .sponsor p {
        left: 110px;
        top: -200px;
        width: 200px;
    }
}

#payPalImg {
    display: block;
    margin-right: auto;
    margin-left: auto;
    width: 60%;
}

#payPalImg:hover {
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.3);
}


@media screen and (max-width: 576px ) {
    #badge{
        margin-bottom: 15%;
    }
    #badge div{
        margin-top: 10%;
    }
}

#badge img {
    margin-left: auto;
    margin-right: auto;
}


#partnerships{
    text-decoration: none;
}
#partnerships:hover{
  text-decoration: underline;
}

.partner-preview{
    width: 20%; 
}

@media screen and (max-width: 768px ) {

    #partnerships{
        text-align: center;
    }
    .partner-preview{
        width: 30%; 
    }

    .partner-preview img{
        height: 40px;
    }
}